Subject: bug#19582: 25.0.50; [PATCH] Calc: glitches with negation of units

From: Wolfgang Jenkner <[email-masked]>
Date: Tue, 13 Jan 2015 17:01:33 +0100

On Tue, Jan 13 2015, Jay Belanger wrote:

>> I propose the attached patch,
>
> Fantastic, thanks.  I'll apply the patches to Calc as soon as I get to
> my home computer.

I could do this myself, actually...

> But what did you mean when you wrote:
>    Apparently, the representation of numbers is sometimes
>    influenced by previous results in the same calc stack.

The same calculation can return an expression where some sub-expression
is a plain integer, say 100, or the corresponding float (float 1 2).
I'll provide an explicit example.